pbot-ng - Bug #382
The code quality is awful
2013-08-10 01:51 PM - xylon

Status: open % Done: 10%
Priority: bug

Assignee:

Category:

Description

| should make the “hack_of_all_hacks' file parse the IRC data and put it into variables at the start so that it doesn't have to do stuff
like that constantly throughout. Actually it seems I've already partly done that but the variables aren't actually used throughout the
whole file.

History

#2 - 2013-08-26 01:49 AM - xylon

Also, the code that tells people they have messages when they log in is in a completely different place than everything else (not in the
hack_of_all_hacks file). Maybe that whole block of elif, elif, elif in main.sh could all be put in the hack_of_all_hacks file.

#3 - 2013-12-26 03:04 PM - xylon

To be honest, | think | should recode it from scratch in python.

#4 - 2014-12-14 12:18 PM - aurelien
| have recently try this http://doc.supybot.aperio.fr/en/latest/use/install.html with y-bot.

This could be a good solution for pbot.

#5 - 2016-08-28 11:06 PM - xylon
- % Done changed from 0 to 10

Today | have re-factored the main file: hack_of_all_hacks. This is a good start to fixing this bug.

#6 - 2016-09-22 08:56 PM - xylon

testing labs change detector

#7 - 2016-09-22 09:04 PM - xylon

test

#8 - 2016-09-22 09:05 PM - xylon

another test
